%define	module	Tie-DBI
%define name	perl-%{module}
%define version	1.01
%define release	1mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}
%{_mandir}/*/*

%changelog
* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-1mdk
- 1.01

* Mon Nov 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-1mdk
- 0.94

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.93-1mdk
- 0.93
- drop redundant buildrequires and requires
- cosmetics

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.86-4mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.86-3mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.86-2mdk
- build release

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.86-1mdk
- initial cooker contrib.

